All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class Windows95Border

    com.sas.visuals.Windows95Border

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, com.sas.PublicClonable, com.sas.ViewInterface, BorderInterface, MultipleValueEventSourceInterface, VisualAspects, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener

Direct Known Subclasses:
  ToolbarBorder

    public class Windows95Border

implements VisualAspects

Windows95Border provides Border support for Windows 95 Window Border styles

See Also:
  Serialized Form

Field Summary
`protected java.awt.Component` | `_component` The Component associated with the border

Fields inherited from class com.sas.visuals.Border
`baseColor, baseColorJ, borderWidth, lightSource, RB_KEY, style`

Fields inherited from interface com.sas.visuals.VisualAspects
`BDR_BUMP, BDR_BUTTON_NORMAL, BDR_BUTTON_PRESSED, BDR_BUTTON_SELECTED, BDR_DIP, BDR_FIELD_BORDER, BDR_FLAT, BDR_FLAT_BORDER, BDR_GROUP_BORDER, BDR_NONE, BDR_RAISED, BDR_RAISED_INNER, BDR_RAISED_OUTER, BDR_STATUSFIELD_BORDER, BDR_SUNKEN, BDR_SUNKEN_INNER, BDR_SUNKEN_OUTER, BDR_WINDOW_BORDER, BS_NONE, BS_NORMAL, BS_PRESSED, BS_ROUND_NORMAL, BS_ROUND_PRESSED, BS_ROUND_SELECTED, BS_ROUNDEDGE_NORMAL, BS_ROUNDEDGE_PRESSED, BS_ROUNDEDGE_SELECTED, BS_SELECTED, CENTER, CONTENTS_CENTER, CONTENTS_LEFT, CONTENTS_RIGHT, DEVELOPMENT, DOUBLE_BUFFERED, DT_CENTER, DT_LEFT, DT_OPAQUE, DT_RIGHT, DT_UNDERLINE, EAST, HORIZONTAL, NORTH, NORTH_EAST, NORTH_WEST, SHOW_IMAGE, SHOW_NONE, SHOW_TEXT, SOUTH, SOUTH_EAST, SOUTH_WEST, TEXT_CENTER, TEXT_EAST, TEXT_LEFT, TEXT_NORTH, TEXT_RIGHT, TEXT_SOUTH, TEXT_WEST, VERTICAL, WEST`

Fields inherited from interface com.sas.visuals.BorderInterface
`BOTTOM_LEFT, BOTTOM_RIGHT, DEFAULT, LOWERED, NONE, RAISED, TOP_LEFT, TOP_RIGHT`

Constructor Summary
`Windows95Border()` Default Windows95Border constructor
`Windows95Border(java.awt.Component component)` Windows95Border constructor with a specified component
`Windows95Border(java.awt.Component component, int s)` Windows95Border constructor with a specified component and style
`Windows95Border(int s)` Windows95Border constructor with a specified style
`Windows95Border(Windows95Border border)` Windows95Border constructor based on an existing Windows95Border

Method Summary
`void` | `drawInRect(java.awt.Component component, java.awt.Graphics graphics, int x, int y, int width, int height)` Draw the Border within the specified rectangle on the specified component.
`void` | `drawInRect(java.awt.Graphics graphics, int x, int y, int width, int height)` Draw the Border within the specified rectangle.
`protected java.awt.Color` | `getBackground()` Gets the component background color
`int` | `getBottomMargin()` Get the width of the Border's bottom side
`java.awt.Component` | `getComponent()` Gets the component associated with the border
`protected java.awt.Color` | `getForeground()` Gets the component foreground color
`java.awt.Insets` | `getInsets(java.awt.Component c)` Draws the border on the specified graphics with the specified x, y, width, height
`int` | `getLeftMargin()` Get the width of the Border's left side
`int` | `getRightMargin()` Get the width of the Border's right side
`int` | `getTopMargin()` Get the width of the Border's top side
`void` | `setComponent(java.awt.Component component)` Sets the component associated with the border

Methods inherited from class com.sas.visuals.Border
`clone, drawInRect, drawInRect, equals, getBaseColor, getBorderWidth, getExtendedBeanInfo, getInsets, getInteriorBounds, getInteriorBounds, getLightSource, getStyle, hashCode, paramString, setBaseColor, setBorderWidth, setLightSource, setStyle, toString`

Field Detail

### _component

    protected java.awt.Component _component

  The Component associated with the border

Constructor Detail

### Windows95Border

    public Windows95Border()

  Default Windows95Border constructor

### Windows95Border

    public Windows95Border(int s)

  Windows95Border constructor with a specified style

  Parameters:
    `s` - the border style. Valid border styles are VisualAspects.BDRxxx values

### Windows95Border

    public Windows95Border(java.awt.Component component)

  Windows95Border constructor with a specified component

  Parameters:
    `component` - the component associated with the border

### Windows95Border

    public Windows95Border(java.awt.Component component,
                           int s)

  Windows95Border constructor with a specified component and style

  Parameters:
    `s` - the border style. Valid border styles are VisualAspects.BDRxxx values
    `component` - the component associated with the border

### Windows95Border

    public Windows95Border(Windows95Border border)

  Windows95Border constructor based on an existing Windows95Border

  Parameters:
    `border` - Windows95Border

Method Detail

### getComponent

    public java.awt.Component getComponent()

  Gets the component associated with the border

  Returns:
    Component

### setComponent

    public void setComponent(java.awt.Component component)

  Sets the component associated with the border

  Parameters:
    `component` - associated with the border

### getBackground

    protected java.awt.Color getBackground()

  Gets the component background color

  Returns:
    the background color

### getForeground

    protected java.awt.Color getForeground()

  Gets the component foreground color

  Returns:
    the background color

### getInsets

    public java.awt.Insets getInsets(java.awt.Component c)

  Draws the border on the specified graphics with the specified x, y, width, height

  Specified by:
    `getInsets` in interface `BorderInterface`
  Specified by:
    `getInsets` in class `Border`
  Parameters:
    `graphics` - the graphics to use
    `x` - coordinate
    `y` - coordinate
    `width` - coordinate
    `height` - coordinate
  Returns:
    the Insets of the Border.

### drawInRect

    public void drawInRect(java.awt.Graphics graphics,
                           int x,
                           int y,
                           int width,
                           int height)

  Description copied from class: `Border`
  Draw the Border within the specified rectangle. Calls the abstract version of drawInRect() with null for the component

  Specified by:
    `drawInRect` in interface `BorderInterface`
  Overrides:
    `drawInRect` in class `Border`
  Parameters:
    `graphics` - the Graphics context
    `x` - the x position of the border rectangle
    `y` - the y position of the border rectangle
    `width` - the width of the border rectangle
    `height` - the height of the border rectangle

### drawInRect

    public void drawInRect(java.awt.Component component,
                           java.awt.Graphics graphics,
                           int x,
                           int y,
                           int width,
                           int height)

  Description copied from class: `Border`
  Draw the Border within the specified rectangle on the specified component.

  Specified by:
    `drawInRect` in interface `BorderInterface`
  Specified by:
    `drawInRect` in class `Border`
  Parameters:
    `component` - the java.awt.Component to draw the border on, can be null
    `graphics` - the Graphics context
    `x` - the x position of the border rectangle
    `y` - the y position of the border rectangle
    `width` - the width of the border rectangle
    `height` - the height of the border rectangle
  See Also:
    `BorderInterface`

### getLeftMargin

    public int getLeftMargin()

  Get the width of the Border's left side.

  Overrides:
    `getLeftMargin` in class `Border`
  Returns:
    width of the Border's left side.

### getBottomMargin

    public int getBottomMargin()

  Get the width of the Border's bottom side.

  Overrides:
    `getBottomMargin` in class `Border`
  Returns:
    width of the Border's bottom side.

### getRightMargin

    public int getRightMargin()

  Get the width of the Border's right side.

  Overrides:
    `getRightMargin` in class `Border`
  Returns:
    width of the Border's right side.

### getTopMargin

    public int getTopMargin()

  Get the width of the Border's top side.

  Overrides:
    `getTopMargin` in class `Border`
  Returns:
    width of the Border's top side.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.